%define major           0
%define libname         %mklibname %{name} %{major}
%define develname       %mklibname -d %{name}

Name:           efivar
Version:        0.15
Release:        1
Summary:        Tools to manage UEFI variables
License:        LGPLv2.1
Group:          System/Kernel and hardware
URL:            https://github.com/vathpela/efivar
Source0:        https://github.com/vathpela/%{name}/archive/%{version}.tar.gz

Requires:       %{libname} = %{version}-%{release}
BuildRequires:  popt-devel

%description
efivar provides a simple command line interface to the UEFI variable facility.

%package -n %{libname}
Summary:        Library for the %name
Group:          System/Libraries

%description -n %{libname}
Library to allow for the simple manipulation of UEFI variables.

%package -n %{develname}
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q -n %{name}-%{version}

%build
make libdir=%{_libdir} bindir=%{_bindir} OPT_FLAGS="$RPM_OPT_FLAGS"

%install
%makeinstall

%files
%doc COPYING README
%{_bindir}/efivar
%{_mandir}/man1/*

%files -n %{develname}
%{_mandir}/man3/*
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%files -n %{libname}
%{_libdir}/*.so.%{major}*

%changelog
* Thu Nov 06 2014 Konstantin Vlasov <konstantin.vlasov@rosalab.ru> 0.15-1
+ Revision: efd2ee3
- Sync with upstream


